| Home | Libraries | People | FAQ | More

#### default_port

Return the default port for a known scheme.

##### Synopsis

Defined in header `<boost/url/scheme.hpp>`

    std::uint16_t
    default_port(
        scheme s);

##### Description

This function returns the default port for the known schemes. If the value does not represent a known scheme or the scheme does not represent a protocol, the function returns zero. The following ports are returned by the function:

- `scheme::ftp` = 21
- `scheme::http`, `scheme::ws` = 80
- `scheme::https`, `scheme::wss` = 443

##### Return Value

An integer with the default port number

##### Parameters

Name | Description
--- | ---
`s` | The known scheme constant

Convenience header `<boost/url.hpp>`